Bug 90165 - libsoup config fails to find openssl on newer openssl packages plus missing packaged file
libsoup config fails to find openssl on newer openssl packages plus missing p...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: soup (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-03 23:49 EDT by Techwolf
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 1.99.17-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-04 00:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Techwolf 2003-05-03 23:49:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030311

Description of problem:
Evolution was "crashing" at startup with this error:

SOUP-ERROR **: Error executing SSL Proxy

aborting...

This is due to a missing file from the libsoup package.

Version-Release number of selected component (if applicable):
libsoup-1.99.17-2

How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild libsoup-1.99.17-2.src.rpm
2.rpm -Uvh libsoup-1.99.17-2.athlon.rpm
3.finished --rebuilding the required packages for evolution 1.3.2-1
    

Actual Results:  [techwolf@localhost techwolf]$ evolution
current config version is '1.3.0'

(evolution:6978): evolution-shell-CRITICAL **: file evolution-storage.c: line
1064 (evolution_storage_new_folder): assertion `physical_uri != NULL' failed

(evolution:6978): Bonobo-CRITICAL **: file bonobo-ui-util.c: line 182
(bonobo_ui_util_xml_to_pixbuf): assertion `xml != NULL' failed

SOUP-ERROR **: Error executing SSL Proxy

aborting...


[techwolf@localhost techwolf]$

Expected Results:  [techwolf@localhost techwolf]$ evolution
current config version is '1.3.0'

(evolution:18979): evolution-shell-CRITICAL **: file evolution-storage.c: line
1064 (evolution_storage_new_folder): assertion `physical_uri != NULL' failed

(evolution:18979): Bonobo-CRITICAL **: file bonobo-ui-util.c: line 182
(bonobo_ui_util_xml_to_pixbuf): assertion `xml != NULL' failed
warning: failed to load external entity
"/home/techwolf/evolution/views/calendar/galview.xml"
Making GAL view instance.
: view_id set to Month_View
: view_id set to Month_View
Month_View
: view_id set to Month_View
          and so for a normal run.

Additional info:

The fix after spending many hours trying to figure it out, and just remembering
that one package had a "unpackage file" warning. Farther checking reveled that
if current openssl (so version 2), libsoup would build the ssl proxy, but failed
to package it.
---
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/libsoup-root
warning: Installed (but unpackaged) file(s) found:
   /usr/libexec/libsoup-ssl-proxy
----
But on newer openssl, what I did first to try to fix this problem, libsoup
config fails with this error:

checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... no
configure: WARNING: openssl/ssl.h: accepted by the compiler, rejected by the
preprocessor!
configure: WARNING: openssl/ssl.h: proceeding with the preprocessor's result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to bug-autoconf@gnu.org. ##
configure: WARNING:     ## ------------------------------------ ##
checking for openssl/ssl.h... no
---

The fix is to add the /usr/libexec/libsoup-ssl-proxy to the file list plus this
to the spec file:
++++
----
 if pkg-config openssl ; then
         export CFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags openssl`"
+        export CPPFLAGS=`pkg-config --cflags-only-I openssl`
         export LDFLAGS=`pkg-config --libs-only-L openssl`
 fi
Comment 1 Jeremy Katz 2003-05-04 00:55:15 EDT
Fixed in -3.  Thanks for tracking this down, I had everything unpacked and ready
to look into this and then got the fix :)

Note You need to log in before you can comment on or make changes to this bug.